using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace ConfigSample.Models.AccountViewModels
{
    public class LoginWith2faViewModel
    {
        [Required]
        [StringLength(7, ErrorMessage = "{0} musi mieć od {2} do {1} znaków długości.", MinimumLength = 6)]
        [DataType(DataType.Text)]
        [Display(Name = "Kod uwierzytelniania")]
        public string TwoFactorCode { get; set; }

        [Display(Name = "Zapamiętaj to urządzenie")]
        public bool RememberMachine { get; set; }

        public bool RememberMe { get; set; }
    }
}
